For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet pipeline stages
      • GETGet a pipeline
      • GETGet all pipelines
      • GETGet deal attributes
      • GETGet all deals
      • POSTCreate a deal
      • GETGet a deal
      • DELDelete a deal
      • PATCHUpdate a deal
      • PATCHLink and Unlink a deal with contacts and companies
      • POSTImport deals(creation and updation)
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMDeals

Get a deal

GET
https://api.brevo.com/v3/crm/deals/:id
GET
/v3/crm/deals/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.deals.getADeal("id");
8}
9main();
1{
2 "id": "629475917295261d9b1f4403",
3 "attributes": {
4 "amount": 12,
5 "created_at": "2022-05-30T07:42:05.671Z",
6 "deal_name": "testname",
7 "deal_owner": "6093d2425a9b436e9519d034",
8 "deal_stage": "9e577ff7-8e42-4ab3-be26-2b5e01b42518",
9 "last_activity_date": "2022-06-06T08:38:36.000Z",
10 "last_updated_date": "2022-06-06T08:38:36.761Z",
11 "number_of_activities": 0,
12 "number_of_contacts": 1,
13 "pipeline": "6093d296ad1e9c5cf2140a58",
14 "stage_updated_at": "2022-05-30T07:42:05.671Z"
15 },
16 "linkedContactsIds": [
17 1,
18 2,
19 3
20 ],
21 "linkedCompaniesIds": [
22 "61a5ce58c5d4795761045990",
23 "61a5ce58c5d4795761045991",
24 "61a5ce58c5d4795761045992"
25 ]
26}
Retrieve the full details of a single deal by its identifier, including its attributes, pipeline stage, linked contacts, and linked companies. Returns a 404 error if the deal does not exist.
Was this page helpful?
Previous

Delete a deal

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired

Response

Returns the deal by id
idstring
Unique deal id
attributesobject
Deal attributes with values
linkedContactsIdslist of integers
Contact ids for contacts linked to this deal
linkedCompaniesIdslist of strings
Companies ids for companies linked to this deal

Errors

400
Bad Request Error
404
Not Found Error